Problem Upgrading to YouTrack 3

I'm attempting to upgrade from YouTrack 2.0 to YouTrack 3 on Linux. I've converted the database and upgraded my WAR file. However, when I start the instance I receive this error:

com.jetbrains.teamsys.database.exceptions.ConstraintsValidationException: Constrains validation exception. Causes: 
  1: Can't create user due to license restrictions: users limit exceeded.

     jetbrains.charisma.persistence.user.UserImpl.checkLisenceOnCreation(UserImpl.java:165)
     jetbrains.charisma.persistence.user.UserImpl.constructor(UserImpl.java:1397)
     jetbrains.charisma.persistence.user.UserImpl.constructor(UserImpl.java:1411)

It seems as though my license file from 2.0 is not correctly working on 3.0. I have a new license for 3 (more users) but haven't been able to insert it anywhere. What can I do?

4 comments
Comment actions Permalink

I found a solution. I reverted to 2.0 and then placed my new 3.0 license key in the settings for 2.0. Then I converted the database and installed 3.0. This worked.

0
Comment actions Permalink

I have similar problem, but I have trial licence before and now I can upgrade to 3.0 with free licence only for 10 users but I don't know how. Why this crash so weird? I think that this is bug. I think that it sgould display configuration with possibility to remove some user to have only 10 or enter another licence key.

0
Comment actions Permalink

Do you use 3.0.3 bugfix update?

0
Comment actions Permalink

It's my mistake, I tested 3.0.3, but I deploy it to bad server and on real server was still 3.0.0 which doesn't work. Thanks you.

0

Please sign in to leave a comment.